/**
 * 徐祥健<xuxj@hugeinfo.com.cn>
 * 2018年9月18日 15:24
 *
 */


import React from 'react';

import HeadView from '../view/HeadView';
import TableBtnView from '../view/TableBtnView';
import { Input, Button, DatePicker, Divider, message, Breadcrumb, Select, Badge } from 'antd';
import moment from 'moment';
import Fetch from '../fetch';
import TableView from '../view/TableView';
const Option = Select.Option;
export default class LawSubscribe extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      data: [],
      formdata: {},
      resetKey: Date.now(),
      loading: false
    };
  }

  componentDidMount() {

    document.title = '普法预约';
    this.getData();
  }

  getData = () => {
    const { formdata } = this.state;
    Fetch.appointment(formdata)
      .then(res => {
        for (var i = 0; i < res.length; i++) {
          res[i]['index'] = i + 1;
        }
        this.setState({
          data: res
        });
      });
  }
  onInputChange = ({ target: { value, name } }) => {
    this.setState(({ formdata }) => ({
      formdata: {
        ...formdata,
        [name]: value
      }
    }))
  }

  Seaech = () => {
    const { formdata } = this.state;
    Fetch.appointment(formdata)
      .then(res => {
        for (var i = 0; i < res.length; i++) {
          res[i]['index'] = i + 1;
        }
        this.setState({
          data: res
        });
      });
  }
  Reset = () => {
    this.setState({
      resetKey: Date.now(),
      formdata: {}
    }, this.getData);
  }
  onClick = (id, flag) => {
    this.props.history.push('/lawSubscribeDetail/' + id + '/' + flag)
  }
  deleteItems = (id) => {
    confirm({
      title: '确认要删除这条数据吗?',
      onOk: () => {
        Fetch.deleteCompany(id)
          .then(data => {
            if (data.statuscode == 1) {
              message.success("删除成功！")
              this.setState({
                resetKey: Date.now(),
                formdata: {}
              }, this.getData);
            } else {
              message.error('删除失败，请联系管理员', 2)
            }
          })
      }
    });
  }
  render() {
    const columns = [{
      title: '序号',
      dataIndex: 'index',
      key: 'index'
    }, {
      title: '联系人',
      dataIndex: 'contactName',
      key: 'contactName'
    }, {
      title: '联系电话',
      dataIndex: 'contactPhone',
      key: 'contactPhone'
    }, {
      title: '状态',
      dataIndex: 'status',
      key: 'status',
      render: text => (
        text == 1 ?
          <Badge count={'待回复'} /> : <Badge count={'已回复'} style={{ backgroundColor: '#52c41a' }} />
      )
    }, {
      title: '活动时间',
      dataIndex: 'activitiesTime',
      key: 'activitiesTime',
      render: text => <span>{moment(text).format("YYYY-MM-DD HH:mm")}</span>
    }, {
      title: '操作',
      key: 'action',
      render: (text, record) => (
        <span>
          {
            text.status == 1 ? <span>
              <label className='theme-color' onClick={() => this.onClick(record.id, 'do')} style={{ cursor: 'pointer' }}>处理</label>
              <Divider type="vertical" />
            </span> : null
          }
          <label className='theme-color' onClick={() => this.onClick(record.id, 'do')} style={{ cursor: 'pointer' }}>查看</label>
        </span>
      ),
    }];
    const { data, loading, resetKey } = this.state;
    return (
      <div className="app-page">
        <HeadView history={this.props.history} />
        <Breadcrumb style={{ padding: '20px' }}>
          <Breadcrumb.Item><a href="">后台中心</a></Breadcrumb.Item>
          <Breadcrumb.Item>普法预约</Breadcrumb.Item>
        </Breadcrumb>
        <TableBtnView name={''} key={resetKey}>
          <Input placeholder="联系人模糊查询" style={{ width: "200px" }} name='contactName' onChange={this.onInputChange} />
          <Input placeholder="联系电话模糊查询" style={{ width: "200px" }} name='contactPhone' onChange={this.onInputChange} />
          <Select
            style={{ width: 200 }}
            placeholder="根据状态查询"
            onChange={(value) => this.onInputChange({ target: { name: 'status', value } })}
          >
            <Option value="2">已回复</Option>
            <Option value="1">待回复</Option>
          </Select>
          <DatePicker onChange={(_, value) => this.onInputChange({ target: { name: 'activitiesTime', value } })} placeholder="根据活动时间查询" />
          <Button type="primary" onClick={this.Seaech}>查询</Button>
          <Button onClick={this.Reset}>重置</Button>
        </TableBtnView>
        <TableView columns={columns} data={data} pageSize='10' size='default' loading={loading} />
      </div>
    );
  }

}
